Custom Fields : Make sortable on issue listing table
2009-05-21 16:46 - Cyber Sprocket
Description

It would be nice to be able to sort the issues list by custom fields in the same way that the built-in fields are sorted.
Example

® | add a custom field named "level" which is an int that we set from 0..n

¢ | set the new level field to be shown on the issue lists table

¢ | can see the levels, but cannot sort by that column (the header is not clickable)
We assign levels to determine the order in which we want to attack problems. This is a standard task management method where
you assign priorities first "Low, High, Urgent" and then assign an ordering within each priority group "Do low item with level 10 before
low items with level 50".

In essence this gives us a multi-level triage system that goes much deeper than priority alone.

If we could sort by the level that would help as we can filter to focus on "just the High priority" and then sort by level to pick items off
the list.

Bonus points when the new multi-column sorting comes out... having one master list sorted by Priority then Level would be a huge
bonus to how we use Redmine.

History

#1 - 2009-05-21 23:24 - Mischa The Evil

What version of Redmine have you tested for this features? | think it is already implemented in the current trunk...
Cyber Sprocket wrote:

It would be nice to be able to sort the issues list by custom fields in the same way that the built-in fields are sorted.

Done in r2257 and r2258 for issue #1139.

If we could sort by the level that would help as we can filter to focus on "just the High priority" and then sort by level to pick items off the list.

Done in r2272 for issue #2899

Can you test this and confirm if it suits your needs?

#2 - 2009-05-26 11:52 - Jean-Philippe Lang

- Status changed from New to Closed

Cyber Sprocket wrote:

Bonus points when the new multi-column sorting comes out... having one master list sorted by Priority then Level would be a huge bonus to how
we use Redmine.

This is done in r2571.
